From a8beeef131270233940cb5e34bf63b05e886d352 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Oct 09 2020 02:29:21 +0000
Subject: [PATCH 1008/2232] Import scratch crate


---

diff --git a/BUCK b/BUCK
index 22db155..69b641e 100644
--- a/BUCK
+++ b/BUCK
@@ -56,6 +56,7 @@ rust_library(
         "//third-party:lazy_static",
         "//third-party:proc-macro2",
         "//third-party:quote",
+        "//third-party:scratch",
         "//third-party:syn",
     ],
 )
diff --git a/BUILD b/BUILD
index 782374b..3ada4bc 100644
--- a/BUILD
+++ b/BUILD
@@ -62,6 +62,7 @@ rust_library(
         "//third-party:lazy_static",
         "//third-party:proc-macro2",
         "//third-party:quote",
+        "//third-party:scratch",
         "//third-party:syn",
     ],
 )
diff --git a/gen/build/Cargo.toml b/gen/build/Cargo.toml
index 3671781..bf87f1f 100644
--- a/gen/build/Cargo.toml
+++ b/gen/build/Cargo.toml
@@ -16,6 +16,7 @@ codespan-reporting = "0.9"
 lazy_static = "1.4"
 proc-macro2 = { version = "1.0.17", default-features = false, features = ["span-locations"] }
 quote = { version = "1.0", default-features = false }
+scratch = "1.0"
 syn = { version = "1.0.20", default-features = false, features = ["parsing", "printing", "clone-impls", "full"] }
 
 [dev-dependencies]
diff --git a/third-party/BUCK b/third-party/BUCK
index 3b0ec99..afc696b 100644
--- a/third-party/BUCK
+++ b/third-party/BUCK
@@ -64,6 +64,13 @@ rust_library(
 )
 
 rust_library(
+    name = "scratch",
+    srcs = glob(["vendor/scratch-1.0.0/src/**"]),
+    env = {"OUT_DIR": ""},
+    visibility = ["PUBLIC"],
+)
+
+rust_library(
     name = "syn",
     srcs = glob(["vendor/syn-1.0.42/src/**"]),
     visibility = ["PUBLIC"],
diff --git a/third-party/BUILD b/third-party/BUILD
index 3477326..49bf512 100644
--- a/third-party/BUILD
+++ b/third-party/BUILD
@@ -69,6 +69,13 @@ rust_library(
 )
 
 rust_library(
+    name = "scratch",
+    srcs = glob(["vendor/scratch-1.0.0/src/**"]),
+    rustc_env = {"OUT_DIR": ""},
+    visibility = ["//visibility:public"],
+)
+
+rust_library(
     name = "syn",
     srcs = glob(["vendor/syn-1.0.42/src/**"]),
     crate_features = [
